| Home | Libraries | People | FAQ | More

## Type definition ranlux64_3_01

ranlux64_3_01

## Synopsis

    // In header: <boost/random/ranlux.hpp>

    typedef random::discard_block< random::ranlux64_base_01, 223, 24 > ranlux64_3_01;

## Description

The ranlux family of generators are described in

> "A portable high-quality random number generator for lattice field theory calculations", M. Luescher, Computer Physics Communications, 79 (1994) pp 100-110.

The levels are given in

> "RANLUX: A Fortran implementation ofthe high-quality pseudorandom number generator of Luescher", F. James, Computer Physics Communications 79 (1994) 111-114